#
# spec file for package python3-websockets
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-websockets
Version:        3.2
Release:        14.2
Summary:        An implementation of the WebSocket Protocol (RFC 6455)
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/aaugustin/websockets
Source:         https://files.pythonhosted.org/packages/source/w/websockets/websockets-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3 >= 3.4
BuildArch:      noarch

%description
python3-websockets is a library for developing WebSocket servers and clients in
Python. It implements RFC 6455 with a focus on correctness and simplicity.
It passes the Autobahn Testsuite.

Built on top of Python's asynchronous I/O support introduced in PEP 3156,
it provides an API based on coroutines, making it easy to write highly
concurrent applications.

Documentation is available at http://aaugustin.github.io/websockets/.

Bug reports, patches and suggestions welcome! Just open an issue or send a
pull request on GitHub: https://github.com/aaugustin/websockets

%prep
%setup -q -n websockets-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README
%{python3_sitelib}/*

%changelog
* Wed Aug 31 2016 mschnitzer@suse.com
  Release 3.2 (boo#996474)
  * Added timeout, max_size, and max_queue arguments to connect() and serve().
  * Made server shutdown more robust.
* Wed Jun 15 2016 mschnitzer@suse.com
  * Remove unnecessary dependency
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Fri May  6 2016 mschnitzer@suse.com
  Release 3.1 (boo#981054)
  * Avoided a warning when closing a connection before the opening handshake.
  * Added flow control for incoming data.
* Mon Dec 28 2015 mschnitzer@suse.com
  Release 3.0 (boo#960328)
  * connect() can be used as an asynchronous context manager on Python ≥ 3.5.
  * Updated documentation with await and async syntax from Python 3.5.
  * ping() and pong() supports data passed as str in addition to bytes.
  * Worked around an asyncio bug affecting connection termination under load.
  * Made state_name atttribute on protocols a public API.
  * Improved documentation.
* Fri Nov 20 2015 mschnitzer@suse.com
  Release 2.7 (boo#956420)
  * Added compatibility with Python 3.5.
  * Refreshed documentation.
* Tue Aug 25 2015 mschnitzer@suse.com
  Release 2.6
  * Added local_address and remote_address attributes on protocols.
  * Closed open connections with code 1001 when a server shuts down.
  * Avoided TCP fragmentation of small frames.
